"""This module does render video"""

import sys
import datetime
import json
import requests

BASE_URL = 'https://invidious.snopyta.org'
SEARCH = sys.argv[1]
ITAG = '&itag=18&local=true'
URL = f'{BASE_URL}/api/v1/search?q={SEARCH}'
RUTA = requests.get(URL)

FIRST = True  # skip line in bucle

VIDEOS = json.loads(RUTA.content)

for video in VIDEOS:
    title = video.get('title', '')
    videoid = video.get('videoId', '')
    author = video.get('author', '')
    link = f'{BASE_URL}/latest_version?id={videoid}{ITAG}'
    timer = video.get('lengthSeconds', '')
    time = str(datetime.timedelta(seconds=timer))
    publish = video.get('publishedText', '')

    if FIRST:
        FIRST = False
    else:
        print()  # print skip line

    # prints
    print(f'    title: {title}')
    print(f'      url: {link}')
    print(f'  channel: {author}')
    print(f'     time: {time}')
    print(f'  publish: {publish}')
